import {Component, ElementRef, OnInit, ViewChild} from '@angular/core';
import * as echarts from 'echarts';

@Component({
  selector: 'v-env-anal',
  templateUrl: './env-anal.page.html',
  styleUrls: ['./env-anal.page.scss'],
})
export class EnvAnalPage implements OnInit {


  // cowFarm :[{
  //   name : '1号牛舍',
  //     value : '1';
  // },{
  //     name : '2号牛舍',
  //     value : '2';
  // }];

  chartData = [{sensorSN: '', unit: '', dataList: []}];
  hasChartData = false;
  analResult = '优';

  chartOption = {
      backgroundColor: '#F0F8FF',
      visualMap: [{
          show: false,
          type: 'continuous',
          seriesIndex: 0,
          min: 0,
          max: 400
      }, {
          show: false,
          type: 'continuous',
          seriesIndex: 1,
          dimension: 0,
          min: 0,
          max: 400
      }],

      xAxis: {
          type: 'category',
          data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun']
      },
      yAxis: [{
          name: '温度(℃)',
          type: 'value',
          splitLine: {show: false}
      },
      {
          name: '湿度(%)',
          type: 'value',
          max: 100,
          splitLine: {show: false}
      }],
      series: [{
          data: [820, 932, 901, 934, 1290, 1330, 1320],
          type: 'line'
      }, {
          data: [15, 13, 12, 11, 12, 11, 87],
          yAxisIndex: 1,
          type: 'line'
      }, {
          data: [76, 45, 43, 23, 34, 54, 23],
          yAxisIndex: 1,
          type: 'line'
    }]
  };

  constructor() { }

  ngOnInit() {

    this.fanChart();
    this.showerChart();
    this.environmentChart();
  }

    fanChart() {

    }

    showerChart() {

    }

    environmentChart() {
      this.chartOption = {
          backgroundColor: '#F0F8FF',
          visualMap: [{
              show: false,
              type: 'continuous',
              seriesIndex: 0,
              min: 0,
              max: 400
          }, {
              show: false,
              type: 'continuous',
              seriesIndex: 1,
              dimension: 0,
              min: 0,
              max: 400
          }],

          xAxis: {
              type: 'category',
              data: ['8', '7', '6', '5', '4', '3', '2', '1']
          },
          yAxis: [{
              name: '温度(℃)',
              type: 'value',
              splitLine: {show: false}
          },
              {
                  name: '湿度(%)',
                  type: 'value',
                  max: 100,
                  splitLine: {show: false}
              }],
          series: [{
              data: [820, 932, 901, 934, 1290, 1330, 1320],
              type: 'line'
          }, {
              data: [15, 13, 12, 11, 12, 11, 87],
              yAxisIndex: 1,
              type: 'line'
          }, {
              data: [76, 45, 43, 23, 34, 54, 23],
              yAxisIndex: 1,
              type: 'line'
          }]
      };
    }
}
